Docs

Delete endpoint

Remove an endpoint from agrirouter by external ID so it no longer receives messages.

Delete an endpoint by external ID. The endpoint is removed from agrirouter and no longer receives messages.

DELETE
/endpoints/{externalId}

Authorization

AuthorizationBearer <token>

Agrirouter OAuth2 authentication for QA environment.

In: header

Scope: endpoints:manage

Path Parameters

externalId*string

Application-defined external ID of the endpoint. SHOULD be formatted as a URN as defined by RFC 8141 (e.g. urn:my-app:endpoint:42). The urn: prefix itself is optional for backwards compatibility, but the value must always contain a namespace identifier and a namespace-specific string separated by a colon. The URN namespace identifier and namespace-specific string allow applications to scope their endpoint IDs in a stable, globally unique way.

Match^([uU][rR][nN]:)?[a-zA-Z0-9][a-zA-Z0-9-]{0,31}:[a-zA-Z0-9()+,\-.:=@;$_!*%/?#]+$
Length3 <= length <= 255

Header Parameters

x-agrirouter-tenant-id*string

The farmer's tenant ID in relation to which communication is done.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://api.agrirouter.com/endpoints/string" \  -H "x-agrirouter-tenant-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty